## starpu-contrib 1.1.2+dfsg

=== debian/changelog ===
starpu-contrib (1.1.2+dfsg-2build1) utopic; urgency=medium

  * No change rebuild against CUDA 6.0.

 -- Graham Inggs <graham@nerve.org.za>  Wed, 15 Oct 2014 08:42:44 +0200

starpu-contrib (1.1.2+dfsg-2) unstable; urgency=medium

  * Make starpu-contrib use gfortran 4.8 too (Closes: Bug#752030).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Jun 2014 16:24:21 +0200

starpu (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * control: Make libstarpu-dev depend on opencl-headers, since we now build
    with OpenCL enabled (Closes: Bug#748101).
  * control, rules: Drop libcuda1 build-dependency, it is brought through
    nvidia-cuda-toolkit anyway (Closes: Bug#749430).
  * rules: Default gcc version is now 4.9, nvcc can use 4.8.
  * rules: Make mpicc use our selected version of gcc.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 18 Jun 2014 01:45:45 +0200

starpu (1.1.1+dfsg-2) unstable; urgency=medium

  * control,rules: Build with gcc-4.9 instead of gcc-4.7 (Closes: Bug#748009).
  * rules: Disable the GCC plugin, as it doesn't build with gcc-4.9.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 15:43:03 +0200

starpu (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Bump soname of libstarpu to 1.1-6
    - Add libsocl to main, now that we can build it against ocl-icd.
  * README.source: matvecmult kernel included again, as it has been rewritten.
  * control: Build-depend on opencl-headers, ocl-icd-opencl-dev to make main
    support OpenCL.
  * patches/build_fixes: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Apr 2014 13:15:18 +0200

starpu (1.1.0+dfsg-2) unstable; urgency=medium

  * patches/build_fixes: Fix sync_synchronize use on non-x86 archs.
  * control: Depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2013 12:52:48 +0100

=== debian/control ===
Source: starpu-contrib
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libcnf-dev,
	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
#	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
	guile-2.0,
	opencl-headers, ocl-icd-opencl-dev,
#	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
	gcc-4.8, g++-4.8, gfortran-4.8, gcc-4.8-plugin-dev,
	help2man,
	nvidia-cuda-toolkit,
#Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
Standards-Version: 3.9.5
Section: contrib/libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
Vcs-Browser: https://gforge.inria.fr/scm/viewvc.php/debian/unstable/?root=starpu

Package: libstarpu-contrib-dev
Section: contrib/libdevel
Architecture: amd64 i386
Depends: libstarpu-contrib-1.1-6 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
Conflicts: libstarpu-dev
Provides: libstarpu-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.

Package: libstarpu-contrib-1.1-6
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-1.1-6
Provides: libstarpu-1.1-6
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library

Package: libstarpu-contribfft-1.1-1
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpufft-1.1-1
Provides: libstarpufft-1.1-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.

Package: libstarpu-contribmpi-1.1-2
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpumpi-1.1-2
Provides: libstarpumpi-1.1-2
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.

Package: starpu-contrib-tools
Section: contrib/utils
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-tools
Provides: starpu-tools
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.

#Package: starpu-contrib-top
#Section: utils
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
#Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
#Description: Task scheduler for heterogeneous multicore machines - top
# StarPU is a runtime system that offers support for heterogeneous
# multicore machines. While many efforts are devoted to design efficient
# computation kernels for those architectures (e.g. to implement BLAS
# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
# offloading such kernels (and implementing data coherency across
# the machine), but it also makes sure the kernels are executed as
# efficiently as possible.
# .
# This package contains a graphical top tool.
#
Package: starpu-contrib-examples
Section: contrib/science
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-examples
Provides: starpu-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.

Package: libsocl-contrib-1.1-1
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
DH_OPTIONS=-Bbuild

source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)

GCC_VERSION          := 4.9
DEFAULT_GCC_VERSION  := 4.9
CONTRIB_GCC_VERSION  := 4.8

ifeq ($(source),starpu)
CC=gcc-$(GCC_VERSION)
CXX=g++-$(GCC_VERSION)
F77=gfortran-$(GCC_VERSION)
else
# nvcc sometimes chokes on some gcc features
CC=gcc-$(CONTRIB_GCC_VERSION)
CXX=g++-$(CONTRIB_GCC_VERSION)
F77=gfortran-$(CONTRIB_GCC_VERSION)
endif
OMPI_CC=$(CC)
export CC
export CXX
export F77
export OMPI_CC
V=1
export V

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--with-qwt-include-dir=/usr/include/qwt-qt4 \
		--with-qwt-lib=qwt-qt4

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
	$(MAKE) -C build showcheck

#ifeq ($(source),starpu)
#override_dh_install:
#	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/$(GCC_VERSION)/plugin
#endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr .starpu
	rm -f starpu-top/StarPU-Top
	rm -fr .nv

# This is required by the gcc plugin infrastructure
GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
override_dh_gencontrol:
	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'

# Switch to main rules
main:
	sed -i '1s/^starpu-contrib/starpu/' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^Provides:/#Provides:/' debian/control
	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control

# Switch to contrib rules
contrib:
	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^#Provides:/Provides:/' debian/control
	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

## starpu-contrib 1.1.3+dfsg

=== debian/changelog ===
starpu-contrib (1.1.3+dfsg-3) unstable; urgency=medium

  * control: Make libsocl-1.1-1 and libsocl-contrib-1.1-1 conflict/provide each
    other (Closes: Bug#767557).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Nov 2014 16:50:43 +0100

starpu (1.1.3+dfsg-2) unstable; urgency=medium

  * control: Make libstarpu-1.1-7 Replace libstarpu-1.1-6: the soname bump
    actually happened earlier :/ (Closes: Bug#761483).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Sep 2014 00:00:39 +0200

starpu (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rename libstarpu-1.1-6 package into libstarpu-1.1-7 due to soname bump.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Sep 2014 14:19:21 +0200

starpu (1.1.2+dfsg-2) unstable; urgency=medium

  * Make starpu-contrib use gfortran 4.8 too (Closes: Bug#752030).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Jun 2014 16:24:21 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	help2man,
 	nvidia-cuda-toolkit,
 #Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -32,7 +32,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.1-6 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
+Depends: libstarpu-contrib-1.1-7 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +46,13 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib-1.1-6
+Package: libstarpu-contrib-1.1-7
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.1-6
-Provides: libstarpu-1.1-6
+Conflicts: libstarpu-1.1-7
+Provides: libstarpu-1.1-7
+Replaces: libstarpu-1.1-6
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -152,6 +153,8 @@
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsocl-1.1-1
+Provides: libsocl-1.1-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient

## starpu-contrib 1.1.4+dfsg

=== debian/changelog ===
starpu-contrib (1.1.4+dfsg-5) unstable; urgency=medium

  * Drop i386 arch from contrib, CUDA only supports amd64 nowadays.
  * watch: Update to submission from bartm.
  * rules: Use dpkg-parsechangelog.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * starpu-examples.install: Add missing OpenCL programs.
  * Bump starpu-contrib gcc dependency to 5, now that CUDA 7.5 is in.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 May 2016 13:28:32 +0200

starpu (1.1.4+dfsg-4) unstable; urgency=medium

  * patches/sm_13: New patch from upstream to drop requesting sm_13
    architecture support, available since long. Fixes build with cuda 7.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Dec 2015 17:40:24 +0100

starpu (1.1.4+dfsg-3) unstable; urgency=medium

  * compat: Bump to 9.
  * control: 
    - Bump debhelper build-dependency accordingly.
    - Drop hardening-wrapper depdency.
    - Add opencl-dev build-dep alternative to ocl-icd-opencl-dev.
    - Enable numa and valgrind support on mips64* (closes: Bug#806711).
    - Add doxygen and doxygen-latex build dependencies.
  * rules:
    - Drop use of hardening-wrapper.
    - Disable gcc version dependency, which was only needed for the plugin.
  * *.dirs: Drop, useless.
  * *.install: Update to multiarch libdir path.
  * starpu-examples.install: Also install OpenCL programs.
  * starpu-contrib-examples.install: Make a symlink to
    starpu-examples.install.
  * docs: Drop manual installation of PDF documentation, now automatically
    done.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2015 00:52:49 +0100

starpu (1.1.4+dfsg-2) unstable; urgency=medium

  * Bump gcc versions according to newer nvcc support (closes: Bug#796844).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Aug 2015 00:01:15 +0200

starpu (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Rename libstarpu-1.1-7 into libstarpu-1.1-9 and libstarpumpi-1.1-2 into
      libstarpumpi-1.1-3 according to soname bump. No rdeps.
  * Enable libnuma-dev and valgrind on arm64 and ppc64el too.
  * control: Add missing dependency on ocl-icd-opencl-dev for libstarpu-dev
  * rules:
    - Prevent the testsuite from running in parallel.
    - Pass --enable-quick-check to configure.
 
 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 May 2015 13:41:06 +0200

starpu (1.1.3+dfsg-3) unstable; urgency=medium

  * control: Make libsocl-1.1-1 and libsocl-contrib-1.1-1 conflict/provide each
    other (Closes: Bug#767557).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Nov 2014 16:50:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: starpu-contrib
 Priority: extra
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
+Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
-	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
+	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
 	libglpk-dev,
 	mpi-default-dev,
 	libgl1-mesa-dev | libgl-dev,
@@ -15,15 +15,15 @@
 	libhwloc-dev,
 	libcnf-dev,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-#	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
+	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
 	guile-2.0,
-	opencl-headers, ocl-icd-opencl-dev,
-#	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
-	gcc-4.8, g++-4.8, gfortran-4.8, gcc-4.8-plugin-dev,
-	help2man,
+	opencl-headers, ocl-icd-opencl-dev | opencl-dev,
+#	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev, gcc,
+	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
+	help2man, doxygen, doxygen-latex,
 	nvidia-cuda-toolkit,
-#Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
-Standards-Version: 3.9.6
+#Build-Conflicts: gcc-6, g++-6
+Standards-Version: 3.9.7
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,8 +31,8 @@
 
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
-Architecture: amd64 i386
-Depends: libstarpu-contrib-1.1-7 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
+Architecture: amd64
+Depends: libstarpu-contrib-1.1-9 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,13 +46,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib-1.1-7
+Package: libstarpu-contrib-1.1-9
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.1-7
-Provides: libstarpu-1.1-7
-Replaces: libstarpu-1.1-6
+Conflicts: libstarpu-1.1-9
+Provides: libstarpu-1.1-9
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -66,7 +65,7 @@
 
 Package: libstarpu-contribfft-1.1-1
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpufft-1.1-1
 Provides: libstarpufft-1.1-1
@@ -81,12 +80,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpu-contribmpi-1.1-2
+Package: libstarpu-contribmpi-1.1-3
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.1-2
-Provides: libstarpumpi-1.1-2
+Conflicts: libstarpumpi-1.1-3
+Provides: libstarpumpi-1.1-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -100,7 +99,7 @@
 
 Package: starpu-contrib-tools
 Section: contrib/utils
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-tools
@@ -134,7 +133,7 @@
 #
 Package: starpu-contrib-examples
 Section: contrib/science
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-examples
 Provides: starpu-examples
@@ -151,7 +150,7 @@
 
 Package: libsocl-contrib-1.1-1
 Section: contrib/libs
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libsocl-1.1-1
 Provides: libsocl-1.1-1

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS=-Bbuild

source=$(shell dpkg-parsechangelog -S Source)

# This is the current default version, which we may have to conflict against
DEFAULT_GCC_VERSION  := 5

# This is the version we want to build starpu against (may have to change
# according to plugin support)
GCC_VERSION          := 5

# This is the best version that nvcc supports.
CONTRIB_GCC_VERSION  := 5

ifeq ($(source),starpu)
#CC=gcc-$(GCC_VERSION)
#CXX=g++-$(GCC_VERSION)
#F77=gfortran-$(GCC_VERSION)
else
# nvcc sometimes chokes on some gcc features
CC=gcc-$(CONTRIB_GCC_VERSION)
CXX=g++-$(CONTRIB_GCC_VERSION)
F77=gfortran-$(CONTRIB_GCC_VERSION)
endif
OMPI_CC=$(CC)
export CC
export CXX
export F77
export OMPI_CC
V=1
export V

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--with-qwt-include-dir=/usr/include/qwt-qt4 \
		--with-qwt-lib=qwt-qt4 --enable-quick-check

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) 
	$(MAKE) -C build showcheck

#ifeq ($(source),starpu)
#override_dh_install:
#	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/$(GCC_VERSION)/plugin
#endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr doc/doxygen/starpu.pdf
	rm -fr doc/doxygen/html
	rm -fr .starpu
	rm -f starpu-top/StarPU-Top
	rm -fr .nv

# This is required by the gcc plugin infrastructure
#GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
#GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
#override_dh_gencontrol:
#	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'

# Switch to main rules
main:
	sed -i '1s/^starpu-contrib/starpu/' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libsocl/Conflicts: libsocl-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^Provides:/#Provides:/' debian/control
	sed -i 's/^Architecture: amd64/Architecture: any/' debian/control
	#sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,$$/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,/' debian/control
	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,$$/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control

# Switch to contrib rules
contrib:
	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: libsocl-contrib/Conflicts: libsocl/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^#Provides:/Provides:/' debian/control
	#sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,$$/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,/' debian/control
	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,$$/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^Architecture: any/Architecture: amd64/' debian/control
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

## starpu-contrib 1.1.5

=== doc/tutorial/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2011  Université de Bordeaux
# Copyright (C) 2010-2013  Centre National de la Recherche Scientifique
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.

CFLAGS          +=      $$(pkg-config --cflags starpu-1.1)
LDFLAGS         +=      $$(pkg-config --libs starpu-1.1)

HAS_CUDA	=	$(shell pkg-config --libs starpu-1.1 |grep -i cuda)
NVCC		?=	nvcc
HAS_OPENCL	=	$(shell pkg-config --libs starpu-1.1 |grep -i opencl)

%.o: %.cu
	nvcc $(CFLAGS) $< -c

TARGETS = hello_world vector_scal hello_world_plugin vector_scal_plugin

all: $(TARGETS)

VECTOR_SCAL_PREREQUISITES	=	vector_scal.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PREREQUISITES	+=	vector_scal_cuda.o
VECTOR_SCAL_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_PREREQUISITES += vector_scal_opencl.o
endif

vector_scal: $(VECTOR_SCAL_PREREQUISITES)
	$(VECTOR_SCAL_COMPILER) $(LDFLAGS) $^ -o $@

hello_world_plugin: hello_world_plugin.c
	$(CC) $(CFLAGS) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $(LDFLAGS) $^ -o $@

VECTOR_SCAL_PLUGIN_PREREQUISITES	=	vector_scal_plugin.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PLUGIN_PREREQUISITES	+=	vector_scal_plugin_cuda.o
VECTOR_SCAL_PLUGIN_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_PLUGIN_COMPILER		=	$(CC)
endif

vector_scal_plugin.o: vector_scal_plugin.c
	$(CC) -c $(CFLAGS) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $^ -o $@

vector_scal_plugin: $(VECTOR_SCAL_PLUGIN_PREREQUISITES)
	$(CC) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $(LDFLAGS) $(VECTOR_SCAL_PLUGIN_PREREQUISITES) -o $@

clean:
	rm -f $(TARGETS) *.o

=== debian/changelog ===
starpu-contrib (1.1.5-0ubuntu4.1) xenial-proposed; urgency=medium

  * SRU: No-change rebuild for GCC 5.4. LP: #1599860.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jul 2016 15:11:39 +0200

starpu-contrib (1.1.5-0ubuntu4) yakkety; urgency=medium

  * No-change rebuild for GCC 5.4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jun 2016 06:53:50 +0200

starpu-contrib (1.1.5-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild against glpk 4.60

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 May 2016 12:17:44 +0200

starpu-contrib (1.1.5-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for glpk soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:08:39 +0000

starpu-contrib (1.1.5-0ubuntu1) xenial; urgency=medium

  * Rebuild for CUDA 7.5, build with GCC 5, build everywhere.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 30 Mar 2016 21:33:41 +0200

starpu-contrib (1.1.5-0build2) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:40:03 +0000

starpu-contrib (1.1.5-0build1) xenial; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Dec 2015 10:56:25 +0100

starpu-contrib (1.1.4+dfsg-2) unstable; urgency=medium

  * Bump gcc versions according to newer nvcc support (closes: Bug#796844).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Aug 2015 00:01:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: starpu-contrib
 Priority: extra
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
 	pkg-config,
-	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
+	libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el],
 	libglpk-dev,
 	mpi-default-dev,
 	libgl1-mesa-dev | libgl-dev,
@@ -15,15 +16,15 @@
 	libhwloc-dev,
 	libcnf-dev,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
+#	hardening-wrapper, valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x],
 	guile-2.0,
-	opencl-headers, ocl-icd-opencl-dev | opencl-dev,
-#	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev, gcc,
+	opencl-headers, ocl-icd-opencl-dev,
 	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
-	help2man, doxygen, doxygen-latex,
+#	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
+	help2man,
 	nvidia-cuda-toolkit,
-#Build-Conflicts: gcc-6, g++-6
-Standards-Version: 3.9.7
+#Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
+Standards-Version: 3.9.6
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +32,7 @@
 
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
-Architecture: amd64
+Architecture: any
 Depends: libstarpu-contrib-1.1-9 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
@@ -48,7 +49,7 @@
 
 Package: libstarpu-contrib-1.1-9
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-1.1-9
 Provides: libstarpu-1.1-9
@@ -65,7 +66,7 @@
 
 Package: libstarpu-contribfft-1.1-1
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpufft-1.1-1
 Provides: libstarpufft-1.1-1
@@ -82,7 +83,7 @@
 
 Package: libstarpu-contribmpi-1.1-3
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpumpi-1.1-3
 Provides: libstarpumpi-1.1-3
@@ -99,7 +100,7 @@
 
 Package: starpu-contrib-tools
 Section: contrib/utils
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-tools
@@ -133,7 +134,7 @@
 #
 Package: starpu-contrib-examples
 Section: contrib/science
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-examples
 Provides: starpu-examples
@@ -150,7 +151,7 @@
 
 Package: libsocl-contrib-1.1-1
 Section: contrib/libs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libsocl-1.1-1
 Provides: libsocl-1.1-1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
DH_OPTIONS=-Bbuild

source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)

# This is the current default version, which we may have to conflict against
DEFAULT_GCC_VERSION  := 5

# This is the version we want to build starpu against (may have to change
# according to plugin support)
GCC_VERSION          := 5

# This is the best version that nvcc supports.
CONTRIB_GCC_VERSION  := 5

ifeq ($(source),starpu)
CC=gcc-$(GCC_VERSION)
CXX=g++-$(GCC_VERSION)
F77=gfortran-$(GCC_VERSION)
else
# nvcc sometimes chokes on some gcc features
CC=gcc-$(CONTRIB_GCC_VERSION)
CXX=g++-$(CONTRIB_GCC_VERSION)
F77=gfortran-$(CONTRIB_GCC_VERSION)
endif
OMPI_CC=$(CC)
export CC
export CXX
export F77
export OMPI_CC
V=1
export V

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--with-qwt-include-dir=/usr/include/qwt-qt4 \
		--with-qwt-lib=qwt-qt4 --enable-quick-check

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) 
	$(MAKE) -C build showcheck

#ifeq ($(source),starpu)
#override_dh_install:
#	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/$(GCC_VERSION)/plugin
#endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr .starpu
	rm -f starpu-top/StarPU-Top
	rm -fr .nv

# This is required by the gcc plugin infrastructure
GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
override_dh_gencontrol:
	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'

# Switch to main rules
main:
	sed -i '1s/^starpu-contrib/starpu/' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libsocl/Conflicts: libsocl-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^Provides:/#Provides:/' debian/control
	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control

# Switch to contrib rules
contrib:
	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: libsocl-contrib/Conflicts: libsocl/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^#Provides:/Provides:/' debian/control
	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://gforge.inria.fr/frs/?group_id=1570 /frs/download.php/.*/starpu-(.*)\.tar\.gz
